Subject: bug#67574: closed (Re: bug#67574: oci-container-service: hotfix)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 10 Dec 2023 21:25:02 +0000

Your bug report

#67574: oci-container-service: hotfix

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
67574: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=67574
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#67574: oci-container-service: hotfix
From: Ludovic Courtès <[email-masked]>
To: Giacomo Leidi <[email-masked]>
Cc: [email-masked]
Date: Sun, 10 Dec 2023 22:23:53 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Giacomo Leidi <[email-masked]> skribis:

> The oci-container-configuration supports two user fields: one is the
> user, from the host system, under whose authority the OCI-backed
> Shepherd service is run; the other is an optional user/UID that can be
> passed to the docker run invokation to override the user defined in the
> OCI image.
>
> The user from the host system is incorrectly passed to docker run
> command, this patches reverts the incorrect behavior and passes the
> correct container-user field value.
>
> * gnu/services/docker.scm (oci-container-configuration): Fix the user
> passed to the docker run invokation.

Applied, thanks!

Subject: oci-container-service: hotfix
From: paul <[email-masked]>
To: [email-masked]
Cc: Ludovic Courtès <[email-masked]>
Date: Fri, 1 Dec 2023 23:38:57 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Ludo’ ,

I just managed to read my Guix email after some  time. I just guix 
pulled and realized there's a bug at [0]. The fix is trivial and I'm 
sending it as a patch. I'm also working on a test suite to prevent this 
to happen in the future.

Thanks for all your work,

giacomo

[0]: 
https://git.savannah.gnu.org/cgit/guix.git/tree/gnu/services/docker.scm#n377